﻿var member = null;

mui.init({
    swipeBack: true //启用右滑关闭功能
});

//判断是否引用了某个文件
function isInclude(name){
    var js= /js$/i.test(name);
    var es=document.getElementsByTagName(js?'script':'link');
    for(var i=0;i<es.length;i++) 
    if(es[i][js?'src':'href'].indexOf(name)!=-1)return true;
    return false;
}

// 修改ajax 默认值
mui.extend(mui.ajaxSettings, {
    dataType: 'json',
    contentType: 'application/json',
    timeout: 20000,
    crossDomain: true
});

mui.extend(mui.fn, {
    openWin: function (options) {
        // 待做 mui('').on('tap', '.openwin', function(){});
        options = options || {};

        mui.each(this, function (i, element) {
            element.addEventListener('click', function (e) {
                e.preventDefault();
            });
            element.addEventListener('tap', function (e) {
                var param = eval('({' + (element.getAttribute('data-options') || '') + '})');

                var url = options.url || param.url || element.href || element.getAttribute('url');
                // 没有设置id 则 id = url
                var id = options.id || param.id || element.id || url;
                // 是否显示等待框，默认 is_wait = false
                var is_wait = options.is_wait != undefined ? options.is_wait : (param.is_wait != undefined ? param.is_wait : (element.getAttribute('is_wait') != null ? element.getAttribute('is_wait').trim() == 'true' : false));
                // 是否自动显示，默认 is_show = true
                var is_show = options.is_show != undefined ? options.is_show : (param.is_show != undefined ? param.is_show : (element.getAttribute('is_show') != null ? element.getAttribute('is_show').trim() == 'true' : true));
                var extras = options.extras || param.extras || eval('({' + (element.getAttribute('extras') || '') + '})');
                // 检查是否登录，默认 is_login = false
                var is_login = options.is_login != undefined ? options.is_login : (param.is_login != undefined ? param.is_login : (element.getAttribute('is_login') != null ? element.getAttribute('is_login').trim() == 'true' : false));
				// 检查是否首页的tab按钮
				var is_index_tab = options.is_index_tab != undefined ? options.is_index_tab : (param.is_index_tab != undefined ? param.is_index_tab : (element.getAttribute('is_index_tab') != null ? element.getAttribute('is_index_tab').trim() == 'true' : false));
                if (window.plus) {
                    if (is_login && !helper.checkIsLogin()) {
                        return;
                    }
                    
                    if(is_index_tab)
                    {
                    	var launch = plus.webview.getLaunchWebview();
						launch.show();
						launch.evalJS('jump("'+ id +'")');	
                    }else
                    {
                    	helper.openWindow(id, url, is_wait, is_show, extras);	
                    }
                } else {
                    window.location.href = url;
                }
            });
        });
    },
    pullLoad: function (options, callback) {
        options = options || {};

        mui.each(this, function (i, element) {
            var index = 0;
            var url = options.url || element.getAttribute('url'); // api/controllerAPI/actionName
            var type = options.type || element.getAttribute('type').toUpperCase(); // GET POST
            var param = options.param || eval('({' + element.getAttribute('param') + '})'); // 参数 json 格式
            var template_id = options.templateId || element.getAttribute('template_id'); // 模版Id
            var callback = callback || options.callback || eval(element.getAttribute('callback')); // 调用模板之后的回调方法

            mui(element).pullToRefresh({
                up: {
                    auto: true,
                    callback: function () {
                        if (index > 0) {
                            index = index + 1;
                        } else {
                            index = 1;
                        }

                        loadList(this, index);
                    }
                }
            });

            function loadList(self, index) {
                var data = mui.extend(param, { pageIndex: index, pageSize: helper.pageSize });
				console.log('---cashu'+JSON.stringify(data));
                mui.ajax({
                    type: type,
                    url: helper.serverUrl + url,
                    data: type == 'GET' ? data : JSON.stringify(data),
                    success: function (data) {console.log("result================"+JSON.stringify(data));
                        if (data.code == 0) {
                            var container = self.element.querySelector('.container');
                            if(index==0){
                            	ontainer.innerHTML='';
                            }

                            template_id && (container.innerHTML += template(template_id, { data: data, helper: helper, plus: plus }));
                            callback && callback(data, container);

							if(isInclude("jquery.lazyload.js"))
							{
								$("img.cel-media").lazyload({
									threshold : helper.lazyPx,
								});      
							}  
                            self.endPullUpToRefresh(index >= data.total);                 
                        }
                    },
                    error: function (data) {
                        //console.log(data.responseText);
                        self.endPullUpToRefresh();
                        mui.toast('请求失败，请重试！');
                    }
                });
            }
        });
    }
});

mui.extend(mui, {
    alertBox: function (options) {
        // 弹出层外层选择器
        var element = document.querySelector(options.boxSelector);
        // 弹出层外层选择器里面的关闭按钮
        var close = element.querySelector(options.closeSelector);

        // 如果没有遮罩层则添加一个
        var div = document.querySelector('.marsk');
        if (!div) {
            var div = document.createElement('div');
            div.className = 'marsk';
            document.body.appendChild(div);
        }

        var s = {
            show: function () {
                div.style.display = 'block';
                element.style.display = 'block';
            },
            hide: function () {
                div.style.display = 'none';
                element.style.display = 'none';
                options.close && options.close();
            },
            isVisible: function() {
                return !(element.style.display == 'none');
            }
        };

        close.addEventListener('tap', function () {
            s.hide()
            options.close && options.close();
        });

        return s;
    }
});

// 简化操作
mui.plusReady(function () {
    member = helper.getMemberCache();

    // 上拉加载更多
    mui('.mui-scroll-wrapper').scroll({
        bounce: true,
        indicators: false
    });

    // mui.openWindow 简化操作 
    // <a class="openwin" data-options="id:'btn1',url:'home.html',is_wait:true,is_show:true,extras:{data:123}"></a>
    // <a class="openwin" id="btn1" url="home.html" is_wait="true" is_show="true" extras="data:123"></a>
    mui('.openwin').openWin();

    // mui.pullToRefresh 简化操作 使用模板或者调用回调方法拼接
    //<div class="mui-scroll pullload" type="POST" url="api/TaskAPI/YingYongHuiList" param="memberId:member.member_id" template_id="template1">
    //    <ul class="container"></ul>
    //</div>
    mui('.pullload').pullLoad();

    // 分享

});
