﻿var member = null;
var target_id = 0;
mui.init();

mui.plusReady(function () {
	helper.UmengTraPlus(2,"消息中心通知内容");
	
    var self = plus.webview.currentWebview();
    target_id = self.target_id;
    member = helper.getMemberCache();

    mui.ajax({
        type: 'GET',
        url: helper.serverUrl + 'api/InteractionAPI/GetTaskInform',
        data: { target_id: target_id, memberId: member.member_id, token: member.token },
        dataType: 'json',
        contentType: 'application/json',
        success: function (data) {
            console.log(JSON.stringify(data));
            if (data.code == 0) {
                document.getElementById('state').innerHTML = data.state == 1 ? '待审核' : (data.state == 2 ? '已通过' : '审核失败');
                document.getElementById('add_time').innerHTML = data.add_time;
                document.getElementById('title').innerHTML = '审核内容：' + (data.title || '');
                document.getElementById('pic').src = data.pic;
                document.getElementById('add_time2').innerHTML = '申请时间：' + data.add_time;
                document.getElementById('audit_time').innerHTML = '审核时间：' + data.audit_time;
                document.getElementById('remark').innerHTML = '备注：' + (data.remark || '');
            } else if (data.code == -1) {
                mui.toast(data.message);
            } else if (data.code == -11) {
                helper.gotoLogin();
            }
        },
        error: function (data) {
            //console.log(data.responseText);
            mui.toast('请求失败，请重试！');
        },
        beforeSend: function () {
            window.plus && plus.nativeUI.showWaiting();
        },
        complete: function () {
            window.plus && plus.nativeUI.closeWaiting();
        }
    });
});
