	var index = 0;
	var member = null;
	mui.init();
	mui.plusReady(function(){
		helper.UmengTraPlus(2,"帮赚收益明细");

		if(!helper.checkIsLogin()) return;		
		member = helper.getMemberCache();

		helper.wrapperScroll();
		pullToRefresh();
		
		mui(".mui-table-view").on("tap","li",function(){
			var selectDay = this.getAttribute("data-day");
			var selectDaystr = this.getAttribute("data-daystr");
			var jinbi = this.getAttribute("data-jinbi");
			helper.openWindow("invitation_detail.html","invitation_detail.html",false,true,{
				param:{
					selectDay:selectDay,
					selectDaystr:selectDaystr,
					jinbi:jinbi
				}
			});
		});
	});
	
	function pullToRefresh() {
		mui('.mui-scroll').pullToRefresh({
			down: {
				callback: function() {
					//var self = this;
					LoadDownData(this);
				}
			},
			up: {
				auto: true,
				callback: function() {
					//var self = this;
					LoadUpData(this);
				}
			}
		});
	}

	function LoadDownData(self) {
		index = 1;
		var param = {
			memberId: member.member_id,
			token: member.token,
			pageIndex: index,
			pageSize: helper.pageSize
		};

		helper.ajax("api/IncomeAPI/BangZhuanDateLsit", "GET", param, function(data) {
			console.log("BangZhuanDateLsit down:" + JSON.stringify(data));
			if(data.code == 0) {
				var container = document.querySelector('.mui-table-view');
				if(data.rows && data.rows.length > 0) {
					var html = template('template1', data);
					container.innerHTML = html;
				} else {
					container.innerHTML = "";
				}
				self.pullDownTips && self.endPullDownToRefresh();
				self.refresh(!(index >= data.total)); //重置上拉刷新
			} else if(data.code == -11) {
				self.endPullUpToRefresh();
				helper.gotoLogin();
			}
		});
	}

	function LoadUpData(self) {
		index++;
		var param = {
			memberId: member.member_id,
			pageIndex: index,
			pageSize: helper.pageSize,
			token: member.token
		};

		helper.ajax("api/IncomeAPI/BangZhuanDateLsit", "GET", param, function(data) {
			console.log("BangZhuanDateLsit up:" + JSON.stringify(data));
			if(data.code == 0) {
				var container = document.querySelector('.mui-table-view');
				if(data.rows && data.rows.length > 0) {
					var html = template('template1', data);
					container.innerHTML += html;
				}
				
				self.endPullUpToRefresh(index >= data.total); //判断是否没有新数据
			} else if(data.code == -11) {
				self.endPullUpToRefresh();
				helper.gotoLogin();
			}
		});
	}