mui.init();
var member = null;
var share_content = "";
var share_url = "";
var share_pic = "";
mui.plusReady(function() {
	helper.UmengTraPlus(2,"收益排行");
	
	if(!helper.checkIsLogin()) return;
	member = helper.getMemberCache();
	helper.wrapperScroll();
	getRanklist();
});

var btnShare = document.getElementById('btnShare');

btnShare.addEventListener("tap", function() {
	if(share_pic) {
		mui('.share_box').popover('toggle');
	} else {
		mui.toast("下载邀请海报失败，请刷新重新下载");
	}
});

document.getElementById('btnRank').addEventListener("tap", function() {
	helper.openWindow("task/tasklist.html","/task/tasklist.html",false,true,null);
});

//微信分享
document.querySelector(".sharebtn_wx").addEventListener("tap", function() {
	helper.UmengTraPlus(2,"邀请好友");
	mui('.share_box').popover('toggle');
	helper.wechatShareAPI("SystemShare", share_content, share_url, share_pic);
});

//设置按钮是否可点击
function setButtonState(canClick) {
	if(canClick == 1) {
		btnShare.setAttribute('disabled', false)
		btnShare.innerHTML = "分享排名";
		btnShare.classList.remove("gradColor");
	} else {
		btnShare.setAttribute('disabled', true)
		btnShare.innerHTML = "下载海报..";
		btnShare.classList.add("gradColor");
	}
}

function getRanklist() {
	var param = {
		memberId: member.member_id,
		token: member.token
	};
	console.log("ranking param:" + JSON.stringify(param));
	helper.ajax("api/IncomeAPI/GetRankingList", "GET", param, function(data) {
		console.log("GetRankingList:" + JSON.stringify(data));
		if(data.code == 0) {
			document.getElementById("sPercent").innerText = data.my_rank ? data.my_rank.percent + "%" : "0%";
			document.querySelector(".mon_icon").innerHTML = data.my_rank ? data.my_rank.jinbi : 0;
			share_content = data.share_content || share_content;
			share_url = data.share_url || share_url;
			share_pic = data.share_pic || share_pic;
			console.log(share_pic);
			if(share_pic) {
				helper.checkLocalImg(share_pic, function(backImg) {
					console.log(backImg);
					share_pic = backImg;
					share_pic ? setButtonState(1) : setButtonState(0);
				});
			}

			var container = document.querySelector('.noti_list');
			if(data.rows && data.rows.length > 0) {
				var html = template('template1', data);
				container.innerHTML = html;
			} else {
				container.innerHTML = "";
			}
		}
	},function(err){});
}