﻿var request = 0;
mui.plusReady(function () {
	helper.UmengTraPlus(2,"个人信息");
    loadData();

    document.getElementById('logout').addEventListener('tap', function () {
    		
        mui.confirm('你确定要退出登录吗？', '提示', ['确定', '取消'], function (e) {
            if (e.index == 0) {
            		helper.UmengTraPlus(2,"退出登录");
                var application_list = plus.webview.getWebviewById('application_list');
                if (application_list) {
                    application_list.close();
                }
                
                plus.storage.removeItem('member_cache');
                helper.openWindow('login.html', '/member/login.html', false, true);
            }
        });
    });
    
    //点击绑定手机、绑定微信按钮
    mui(".mg_top").on("tap","a",function(){
    	var is_completed = this.getAttribute("is_completed");
    	var type = this.getAttribute("data-id");
    	//未绑定则作相应操作
    	if(is_completed != "1")
    	{
    		if(type == "mobile")
    		{
    			helper.openWindow("bind_mobile.html","bind_mobile.html",false,true,null);
    		}else
    		{
    			helper.UmengTraPlus(2,"设置个人信息(绑定微信)");
    			authsWeiXin();
    		}
    	}else{
    		mui.toast("已完成绑定");
    	}
    });
});

var isPassed = false; //记录是否已经登录成功
//认证微信
function authsWeiXin(){ console.log('wo yaoqu ');
	var auths = null;
   window.plus && plus.nativeUI.showWaiting();

    // 扩展API加载完毕，现在可以正常调用扩展API
    plus.oauth.getServices(function (services) {
        auths = services;
        var s = null;
        for (var i = 0; i < auths.length; i++) {
            if (auths[i].id == "weixin") {
                s = auths[i];
            }
        }

        if (!s.authResult) {
            //登录认证
            s.login(function (e) {
                isPassed = true;
                //mui.toast("登录认证成功！");
                s.getUserInfo(function (e) {
                    if (request > 0) {
                        mui.alert('提交中');
                        return false;
                    }
                    bindUnionID(s.userInfo.unionid,s.userInfo.headimgurl);
                }, function (e) {
                    window.plus && plus.nativeUI.closeWaiting();
                    //mui.toast("获取用户信息失败：" + e.message + " - " + e.code);
                });

            }, function (e) {
                window.plus && plus.nativeUI.closeWaiting();
                isPassed = false;
                //mui.toast("登录认证失败！");
            });
        } else {
            window.plus && plus.nativeUI.closeWaiting();
            //if (isPassed) {
                if (request > 0) {
                    mui.alert('提交中');
                    return false;
                }
                bindUnionID(s.userInfo.unionid,s.userInfo.headimgurl);
                //mui.toast("已经登录认证！");
            //}
        }
    }, function (e) {
        window.plus && plus.nativeUI.closeWaiting();
        //mui.toast("获取分享服务列表失败：" + e.message + " - " + e.code);
    });	
};

//绑定UnionID
function bindUnionID(unionid,headimgurl) {
	console.log(unionid + "," + headimgurl);
    var param = {
        wechat_union_id: unionid,
        memberId:member.member_id,
        headimgurl:headimgurl,
        token:member.token
    };
	console.log("param:"+JSON.stringify(param));
    mui.ajax({
        type: 'POST',
        url: helper.serverUrl + 'api/MemberAPI/UpdateWechatUnionId',
        data: JSON.stringify(param),
        dataType: 'json',
        contentType: 'application/json',
        timeout: helper.xhrTimeout,
        crossDomain: true,
        success: function (data) {
        		helper.UmengTraPlus(2,"微信绑定成功");
            	console.log('UpdateWechatUnionId:' + JSON.stringify(data));
            	mui.toast(data.message);
	            //有更新到微信头像
	            if(data.code == 0 && data.is_update_headimgurl)
	            {
	            	document.getElementById('headimgurl').src = headimgurl;
	            	member.headimgurl = headimgurl;
	            	plus.storage.setItem("member_cache",JSON.stringify(member));
	            	document.getElementById('wechat_union_id').innerText = "已绑定";
	            }
        },
        error: function (data) {
            isPassed = false;
            console.log(data.responseText);
        },
        beforeSend: function () {
            request++;
            window.plus && plus.nativeUI.showWaiting();
        },
        complete: function () {
            request--;
            window.plus && plus.nativeUI.closeWaiting();
        }
    });
}

function loadData() {
    member = helper.getMemberCache();
    if (member == null) {
        return;
    }
    
    //如果绑定了手机号码，则显示修改密码按钮
    if(member.mobile)
    {
    	document.getElementById('liPassword').classList.remove("mui-hidden");
    }else
    {
    	document.getElementById('liPassword').classList.add("mui-hidden");
    }

    document.getElementById('headimgurl').src = member.headimgurl || '../images/default_head.jpg';

    mui.ajax({
        type: 'POST',
        url: helper.serverUrl + 'api/MemberAPI/GetMyOption',
        data: JSON.stringify({ token: member.token, memberId: member.member_id }),
        dataType: 'json',
        contentType: 'application/json',
        timeout: helper.xhrTimeout,
        success: function (data) {
        	console.log(JSON.stringify(data));
            if (data.code == 0) {           	
                var more = '';
                mui.each(data.rows, function (i, e) {
                    var element = document.getElementById(e.option_name);                   
                    if (element != null) {
                        if (e.is_completed == 1) {
                            element.classList.remove('jinbii');
                            // 上面头像已使用缓存先赋值了，这里头像不赋值
                            if (element.tagName == 'img' && element.id != 'headimgurl') {
                                element.src = e.option_value;
                            } else {
                            	if(element.id == "sex")
                            	{
                            		element.innerHTML = e.option_value == 1? "男":"女";
                            	}else
                            	{
                                	element.innerHTML = e.option_value;
                               	}
                            	if(element.id == "mobile")
                            	{
                            		element.parentElement.setAttribute('is_completed',"1");
                            		//修改不能点击且没有右边三角形
                            		element.parentElement.classList.remove("mui-navigate-right");                           		
                            	}
                            	if(element.id == "wechat_union_id")
                            	{
                            		element.parentElement.setAttribute('is_completed',"1");
                            		element.innerHTML = "已绑定";
                            		element.parentElement.classList.remove("mui-navigate-right");
                            	}
                            }
                        } else {
                        	if(element.id != "wechat_union_id")
                        	{
                        		//微信绑定没有奖励
                        		element.classList.add('jinbii');
                            	element.innerHTML = e.jinbi;	
                        	}
                        }
                    }
                    if (['age', 'profession', 'interest'].indexOf(e.option_name) >= 0) {
                        if (more != '') {
                            more += ','
                        }
                        more += '"' + e.option_name + '":"' + e.option_value + '"';
                    }
                });
                plus.storage.setItem('member_more', '{' + more + '}');

            } else if (data.code == -11) {
                helper.gotoLogin();
            } else {
                data.message && mui.toast(data.message);
            }
        },
        error: function (data) {
            mui.toast('请求失败，请重试！');
        },
        beforeSend: function () {
            window.plus && plus.nativeUI.showWaiting();
        },
        complete: function () {
            window.plus && plus.nativeUI.closeWaiting();
        }
    });
}

// 修改头像
document.getElementById('avatar').addEventListener('tap', function () {
    var target = this.getAttribute('data-target');
    var folderName = this.getAttribute('data-folder');
    var width = this.getAttribute('data-width');
    var height = this.getAttribute('data-height');
	helper.UmengTraPlus(2,"个人信息修改(头像)");
	
    plus.nativeUI.actionSheet({
        cancel: '取消',
        buttons: [{ title: "相册" }, { title: "拍照" }]
    }, function (e) {
        var index = e.index;
        switch (index) {
            case 1: galleryPicture(target, folderName, width, height); break;
            case 2: cameraPicture(target, folderName, width, height); break;
        }
    });
});

// 拍照
function cameraPicture(target, folder, width, height) {
    var cmr = plus.camera.getCamera();
    cmr.captureImage(function (p) {
        plus.io.resolveLocalFileSystemURL(p, function (entry) {
            var p = entry.toLocalURL();
            var element = document.createElement('a');
            element.href = '../person/picture-cut.html';
            mui.openWindow({
                url: element.href,
                id: element.getAttribute('href'),
                extras: {
                    data: {
                        file: p,
                        target: target,
                        folder: folder,
                        width: width,
                        height: height
                    }
                },
                waiting: {
                    autoShow: false
                }
            });
        }, function (e) {
            mui.alert("读取拍照文件错误：" + e.message);
        });
    }, function (e) {
        mui.alert("拍照失败：" + e.message);
    });
}

// 相册
function galleryPicture(target, folder, width, height) {
    plus.gallery.pick(function (p) {
        var element = document.createElement('a');
        element.href = '../person/picture-cut.html';
        // 从相册返回的路径不需要转换可以直接使用
        mui.openWindow({
            url: element.href,
            id: element.getAttribute('href'),
            extras: {
                data: {
                    file: p,
                    target: target,
                    folder: folder,
                    width: width,
                    height: height
                }
            },
            waiting: {
                autoShow: false
            }
        });
    });
}
