var mobile;
var request = 0;
mui.init();

mui.plusReady(function() {
	var self = plus.webview.currentWebview();
	mobile = self.mobile;
	document.querySelector('.phone_ck_num').innerHTML = mobile;
});

document.getElementById('btnNext').addEventListener('tap', function() {

	if(request > 0) {
		mui.alert('提交中');
		return false;
	}

	var verify_code = document.getElementById('txtVerifyCode').value;

	if(verify_code == null && verify_code.length != 6) {
		mui.toast("请输入6位正确的手机验证码");
		return;
	}

	var p1 = document.getElementById("txtPassword").value;
	if(p1 == '' || p1.length < 6 || p1.length > 16) {
		mui.toast('密码长度为6-16位数字或英文字符串');
		return;
	} else {
		if(verificationSerialNumber(p1) == false) {
			mui.toast('密码必须是数字或英文');
			return;
		}
	}
	var p2 = document.getElementById("txtPassword2").value;
	if(p1 != p2) {
		mui.toast('两次输入的密码不一致，请重新输入');
		return;
	} 

	var member = helper.getMemberCache();

	mui.ajax({
		type: 'POST',
		url: helper.serverUrl + 'api/MemberAPI/BindMobile',
		data: JSON.stringify({
			mobile: mobile,
			memberId: member.member_id,
			password: p1,
			token: member.token,
			verify_code: verify_code
		}),
		dataType: 'json',
		contentType: 'application/json',
		crossDomain: true,
		success: function(data) {
			console.log(JSON.stringify(data));
			if(data.code == 0) {
				mui.toast(data.message);
				helper.UmengTraPlus(2, "绑定手机成功"); 
				if(member){console.log('1');
					member.mobile = mobile;
				}
				plus.storage.setItem('member_cache', JSON.stringify(member));
				plus.webview.getWebviewById('account.html').evalJS('loadData()');
				plus.webview.getWebviewById('mall/flow_exchange.html').evalJS('loadData()');
				//setTimeout(function(){
				helper.openWindow("account.html", "account.html", false, true);
				//},500);								
			} else if(data.code == -1) {
				mui.toast(data.message);
			}
		},
		error: function(data) {
			console.log(data.responseText);
		},
		beforeSend: function() {
			request++;
		},
		complete: function() {
			request--;
		}
	});
});