		var index = 0;
		var member = null;
  		mui.init();
  		mui.plusReady(function(){
  			member = helper.getMemberCache();
			console.log(JSON.stringify(member));
			helper.wrapperScroll();
			pullToRefresh();

			if (plus.os.name == 'iOS') {
			    // 弹出软键盘时自动改变webview的高度
			    plus.webview.currentWebview().setStyle({
			        softinputMode: 'adjustResize'
			    });
			}
			
			document.querySelector('.sendbtn').addEventListener("tap",submitFeedback);
		});
		
		//提交反馈意见
		function submitFeedback()
		{			
			var content = document.getElementById('txtContent').value;
			if (!(/^[\s\S]{5,1000}$/.test(content))) {
				mui.toast("反馈意见内容5-1000个字符");
				return;
			}else
			{
				var param = {
					memberId:member.member_id,
					contact:member.mobile,
					content:content,
					token:member.token
				};
				helper.ajax("api/InteractionAPI/SubmitFeedBack", "POST", param, function(data){
					document.getElementById('txtContent').value = "";
					if(data.code == 0)
					{
						helper.UmengTraPlus(2,"问题反馈成功");
						mui.toast("谢谢你提供的建议，我们会尽快答复！");
						var container = document.querySelector('.ques_list');
						var newData = {rows:[{content:content,add_time:new Date(),is_reply:0}]};
						var html = template('template1', newData);
						container.innerHTML += html;							
					}else
					{
						mui.toast(data.message);
					}
				},function(err){});
			}
		}

		function pullToRefresh() {
			mui('.mui-scroll').pullToRefresh({
				down: {
					callback: function() {
						//var self = this;
						LoadDownData(this);
					}
				},
				up: {
					auto: true,
					callback: function() {
						//var self = this;
						LoadUpData(this);
					}
				}
			});
		}

		function LoadDownData(self)
		{
			index = 1;
			var param = {
				memberId: member.member_id,
				pageIndex: index,
				pageSize: helper.pageSize
			};
			
			helper.ajax("api/InteractionAPI/GetFeedbackList","GET",param,function(data){
				console.log("GetFeedbackList down:"+JSON.stringify(data));
				var container = document.querySelector('.ques_list');
				if(data.rows && data.rows.length>0)
				{
					var html = template('template1', data);
					container.innerHTML = html;								
				}else
				{
					container.innerHTML = "";	
				}
				self.pullDownTips && self.endPullDownToRefresh();
				self.refresh(!(index >= data.total)); //重置上拉刷新
			},function(err){
				self && self.pullDownTips && self.endPullDownToRefresh();
			});
		}
		
		function LoadUpData(self)
		{
			index++;
			var param = {
				memberId: member.member_id,
				pageIndex: index,
				pageSize: helper.pageSize
			};
			
			helper.ajax("api/InteractionAPI/GetFeedbackList","GET",param,function(data){
				console.log("GetFeedbackList up:"+JSON.stringify(data));
				if(data.code == 0)
				{
					var container = document.querySelector('.ques_list');
					if(data.rows && data.rows.length>0)
					{
						var html = template('template1', data);
						container.innerHTML += html;								
					}				
					self.endPullUpToRefresh(index >= data.total); //判断是否没有新数据
				}else if(data.code == -11){
					self.endPullUpToRefresh();
					helper.gotoLogin();
				}
			},function(err){
				self && self.endPullUpToRefresh();				
			});
		}