var member = null;
var hasUnread = 0; //0： 没有最新的未读消息 1：有最新的未读消息
mui.init();
$(".luckywrap").textSlider({line:1,speed:500,timer:2500});  //中奖滚动

            
mui.plusReady(function () {
	//helper.UmengTraPlus(2,"首页");
	
    if (plus.os.name == 'Android') {
        document.getElementById('application_list.html').classList.remove('mui-hidden');
    } else {
        document.getElementById('my_tasklist.html').classList.remove('mui-hidden');
    }

 	mui('#refreshArea').pullToRefresh({
			down: {
			callback: function() {	
				self = this;
				refreshPage(self);
			}
		}
	});	
	
	elementEventListener();
    bindElementEvent();
    helper.wrapperScroll();
    mui('#refreshArea').pullToRefresh().pullDownLoading();
});


//事件监听
function elementEventListener()
{
	//任务列表
	document.querySelector('.lldh' ).addEventListener('tap',function(){
		helper.openWindow('task/tasklist.html',"task/tasklist.html",false,true);
	});
	
	//点击我的任务
	document.querySelector('.yyh1').addEventListener('tap',function(){
		if (!helper.checkIsLogin()) {
            return;
       	}else
       	{
		    helper.openWindow('my_tasklist.html',"task/my_tasklist.html",false,true);  
       	}
	});
	
	//点击应用汇
	document.querySelector('.yyh').addEventListener('tap',function(){
		if (!helper.checkIsLogin()) {
            return;
       	}else
       	{
		    helper.openWindow('application_list.html',"task/application_list.html",false,true);
       	}
	});
	
	//签到
	document.querySelector('.sign_in').addEventListener('tap',function(){
		if (!helper.checkIsLogin()) {
            return;
       	}else
       	{
       		
       		helper.openWindow('sign_in.html',"sign/sign_in.html",false,true);
       	}		
	});
}

function bindElementEvent()
{
	//右上角闹铃按钮
	document.getElementById('notification').addEventListener('tap', function () {
        if (helper.checkIsLogin()) {
        	if(hasUnread == 1)
        	{
        		setLing(false);
        		//调用接口修改为没有未读消息
				 helper.ajax("api/InteractionAPI/MarkRead", "GET", {memberId: member.member_id}, function(data) {
				 		if(data.code == 0)
				 		{
				 			hasUnread = 0;
				 		}
				 	},function(err){});
        	}
            helper.openWindow('notification.html', 'income/notification.html', false, true);
        }
    });	
    
    document.querySelector(".lldh").addEventListener("tap",function(){
    	helper.openWindow("task/tasklist.html","/task/tasklist.html",false,true,null);
    });
    
    //查看更多任务
    document.querySelector(".get_more").addEventListener("tap",function(){
    	helper.UmengTraPlus(2,"首页查看更多");
    	helper.openWindow("task/tasklist.html","/task/tasklist.html",false,true,null);
    });
    
    //点击任务跳转
    mui(".task_list").on("tap","li",function(){
    	var task_id = this.getAttribute("data-id");
    	var task_type = this.getAttribute("data-type");
    	//1.分享任务 4：试用任务 5：线上活动任务
    	switch(task_type)
    	{
    	    // hbuilder 的一个bug 还没有修复 http://ask.dcloud.net.cn/article/103
    	    // 8. Android平台修复Webview窗口通过setStyle方法更新backgrund属性无法生效的问题
    	    // setStyle 不起效 只能放在参数这里
    	    case "1": mui.openWindow({ url: 'task/task_share.html', id: 'task_share.html', styles: { scrollIndicator: 'none', scalable: false, popGesture: 'none', background: 'transparent', }, extras: { task_id: task_id } }); break;
    	    case "2": helper.openWindow("task_picture.html","task/task_picture.html",false,true,{param:{task_id:task_id}});break;
    		case "4": helper.openWindow("task_register.html","task/task_register.html",false,true,{param:{task_id:task_id}}); break;
    		case "5": helper.openWindow("task_online.html","task/task_online.html",false,true,{param:{task_id:task_id}}); break;
    	}
    });

	//点击banner图
	mui("#slider").on("tap",".mui-slider-item",function(){
		helper.UmengTraPlus(2,"Banner图点击");
		
		var bannerType = this.getAttribute("data-type");
		var url = this.getAttribute("data-url");
		//1外部链接 2分享文章  5活动任务  6试用任务 7内部链接
		console.log(bannerType+","+url);
		switch(bannerType)
		{
			case "1":
				helper.openWindow("task_redirect.html","task/task_redirect.html",false,true,{param:{path:url}});
				break;
			case "2":
				mui.openWindow({ url: 'task/task_share.html', id: 'task_share.html', styles: { scrollIndicator: 'none', scalable: false, popGesture: 'none', background: 'transparent', }, extras: { task_id: url } });
				break;
			case "5":
				helper.openWindow("task_online.html","task/task_online.html",false,true,{param:{task_id:url}});
				break;
			case "6":
				helper.openWindow("task_register.html","task/task_register.html",false,true,{param:{task_id:url}});
				break;
			case "7":
				if(url && url.indexOf("**")>0)
				{
					var strArr = url.split('**');
					if(strArr && strArr.length == 3)
					{
						if(strArr[2] == 1)
						{
							//需要登录
							if(helper.checkIsLogin())
							{
								helper.openWindow(strArr[0],strArr[1],false,true,null);								
							}
						}else
							helper.openWindow(strArr[0],strArr[1],false,true,null);	
					}
				}
				break;
		}
	});

	//遮罩层点击隐藏
	document.querySelector(".marsk").addEventListener("tap",function(){
		this.style.display = "none";
		document.querySelector(".info_win").classList.add("mui-hidden");
		helper.showIndexBottomMarsk(0);
	});
	
	//点击取消完善资料
	document.querySelector(".btn_cancel").addEventListener("tap",function(){
		document.querySelector(".info_win").classList.add("mui-hidden");
		document.querySelector(".marsk").style.display = "none";
		helper.showIndexBottomMarsk(0);
	});
	
	//完善资料
	document.querySelector(".btn_sure").addEventListener("tap",function(){
		document.querySelector(".info_win").classList.add("mui-hidden");
		document.querySelector(".marsk").style.display = "none";
		helper.showIndexBottomMarsk(0);
		helper.openWindow("person/account.html","person/account.html",false,true,null);
	});
}

//修改任务状态为审核中
function updateTaskState(taskid)
{
	mui.each(document.querySelectorAll(".task_list li[data-id='" + taskid +"']"), function () {
		var mySpan = this.querySelector('.task_per_inner');
		mySpan.innerHTML = "审核中"; 					        			       
	});				
}

//设置闹铃图标 ture未读  false已读
function setLing(isUnread)
{
	var lingElement = document.getElementById("notification");
	if(isUnread)
	{
 		lingElement.classList.remove("ling_icon");
 		lingElement.classList.add("ling_icon2");		
	}else
	{
 		lingElement.classList.remove("ling_icon2");
 		lingElement.classList.add("ling_icon");		
	}
}

function refreshPage(self)
{
	member = helper.getMemberCache();
 	var param = {
 		memberId: member == null ? 0 : member.member_id,
 		city_id: helper.getCity().city_id,
 		os_name: plus.os.name
 	};
	mui('.mui-scroll-wrapper').scroll().scrollTo(0, 0, 0);

 	
 	//是否弹出完善资料提示框
 	if(member!=null && member.sex == 0)
 	{
 		var storageKey = "perfect_information_times_" + member.member_id;
 		//3天弹出一次
 		var currentTime = Date.now();
 		//弹出完善资料提示框时间
 		var popTimes =  plus.storage.getItem(storageKey);

 		if(popTimes)
 		{
 			var days = helper.getOffsetDays(popTimes,currentTime);
 			if(days >= 3)
 			{
 				plus.storage.setItem(storageKey,currentTime + "");
 				document.querySelector(".marsk").style.display = "block";
 				document.querySelector(".info_win").classList.remove("mui-hidden");
 				helper.showIndexBottomMarsk(1);
 			}
 		}else
 		{
 			plus.storage.setItem(storageKey,currentTime + "");
  			document.querySelector(".marsk").style.display = "block";
 			document.querySelector(".info_win").classList.remove("mui-hidden");	
 			helper.showIndexBottomMarsk(1);
 		}
 		
 	}

 	helper.ajax("api/TaskAPI/GetHomePageInfo", "POST", param, function(data) {
 		console.log("---GetHomePageInfo:" + JSON.stringify(data));
 		if(data.code == 0) {
 			hasUnread = data.hasUnread;
 			data.hasUnread == 1 ? setLing(true):setLing(false);	
 			/*document.querySelector(".hfye").innerHTML = data.telephone_charge;*/
 			document.querySelector(".syll2 span").innerText = data.balance;
 			document.querySelector(".syjb2 span").innerText = data.surplus_flow;
 			//绑定banner图片
			var bannerContainer = document.querySelector("#slider");
			if(data.banner_list && data.banner_list.length>0)
			{
				var html = template("templateBanner",data)
				bannerContainer.innerHTML = html;
			}else
			{
				bannerContainer.innerHTML = "";
			}			
			mui(".mui-slider").slider({
				interval: 5000
			});			
 			//绑定任务列表
			var container = document.querySelector('.task_list');			
			if(data.task_list && data.task_list.length > 0) {			
				var html = template('template1', data);
				container.innerHTML = html;
			}else {
				container.innerHTML = "";
			}
			$("img.cel-media").lazyload({
				threshold : helper.lazyPx,
			});
			
			var paomadengContainer = document.querySelector(".luckylist");
			if(data.paomadeng && data.paomadeng.length > 0)
			{
				var html = template('templatePaoMaDeng', data);
				paomadengContainer.innerHTML = html;
			}else
			{
				paomadengContainer.innerHTML = "";
			}
			
			//升级了
			if(data.is_upgrade == 1)
			{
				document.getElementById('template5').outerHTML = template('template5', { data: data, helper: helper });
				mui.alertBox({ boxSelector: '.levelup', closeSelector: '.block_btn' }).show();
			}
			
			//$(".task_persent").not($(".task_persent").has('canvas')).circliful(); 
			$('.task_persent').circliful();
			self && self.pullDownTips && self.endPullDownToRefresh();		
 		} 
 	},function(err){
 		console.log(err.responseText);
 		mui.os.plus && plus.nativeUI.closeWaiting();
 		self && self.pullDownTips && self.endPullDownToRefresh();	
 	});	
}

//页面加载数据
function loadData()
{
	mui('#refreshArea').pullToRefresh().pullDownLoading();
}

