/**
 *  图片下载饼状进度条 遮罩层插件
 *  2016.11.29
 */

//构建函数
function ProcessBar() {
	this.Container = $("<div>");
	this.Container.addClass("img-mask");

	this.pie = $("<div>");
	this.pie.addClass("pie");

	this.pie_left = $("<div>");
	this.pie_left.addClass("pie_left");

	this.left = $("<div>");
	this.left.addClass("left");

	this.pie_right = $("<div>");
	this.pie_right.addClass("pie_right");

	this.right = $("<div>");
	this.right.addClass("right");

	this.Container.append(this.pie);
	this.pie.append(this.pie_left);
	this.pie_left.append(this.left);
	this.pie.append(this.pie_right);
	this.pie_right.append(this.right);
}

//删除进度条
ProcessBar.prototype.closePro = function() {
	this.Container.remove(this.pie);
}

//设置进度
ProcessBar.prototype.setProgress = function(num) {
	var obj = this.left;
	num = num * 3.6;
	if(num <= 180) {
		//初始化左半圆进度位置
		this.left.css('transform', "rotate(0deg)");
		this.left.css('-webkit-transform', "rotate(0deg)");
		//不采用动画
		//		this.right.css('transform', "rotate(" + num + "deg)");
		//		this.right.css('-webkit-transform', "rotate(" + num + "deg)");
		//设置右半圆进度动画
		this.right.animate({
			transform: "rotate(" + num + "deg)"
		}, 200);
		this.right.animate({
			"-webkit-transform": "rotate(" + num + "deg)"
		}, 200);
	} else {
		//关闭右半圆的进度动画
		this.right.animate({
			transform: "rotate(180deg)"
		}, 0);
		this.right.animate({
			"-webkit-transform": "rotate(180deg)"
		}, 0);
		//设置右半圆进度走完
		this.right.css('transform', "rotate(180deg)");
		this.right.css('-webkit-transform', "rotate(180deg)");
		//不采用动画
		//		this.left.css('transform', "rotate(" + (num - 180) + "deg)");
		//		this.left.css('-webkit-transform', "rotate(" + (num - 180) + "deg)");
		//设置左半圆进度动画
		this.left.animate({
			transform: "rotate(" + (num - 180) + "deg)"
		}, 200);
		this.left.animate({
			"-webkit-transform": "rotate(" + (num - 180) + "deg)"
		}, 200);
	}
}