var task_id = 0;
var title="";

mui.init();
mui.plusReady(function() {
	var param = plus.webview.currentWebview().param;
	task_id = param.task_id;
	title = param.title;
	document.querySelector(".upload_con").innerHTML = param.examine;

	//提交任务
	document.getElementById('btnConfirm').addEventListener('tap', function() {
		var member = helper.getMemberCache();
		if(member == null) {
			mui.toast('需要先进行登录！');
			helper.openWindow("login.html", "../member/login.html", false, true, null);
			return;
		}

		var content = document.getElementById('txtContent').value;
		if(content == null || trimStr(content).length < 5) {
			mui.alert("任务完成情况不能少于5个字符");
			return;
		}

		var param = {
			memberId: member.member_id,
			token: member.token,
			task_id: task_id,
			submit_content: content
		};

		console.log("param:"+JSON.stringify(param));
		helper.ajax("api/TaskAPI/SubmitOnlineTask", "POST", param, function(data){
			console.log("SubmitOnlineTask:"+JSON.stringify(data));
			mui.toast(data.message);
			if(data.code == 0)
			{	
				helper.UmengTraPlus(2,"活动任务提交审核完成","任务ID",task_id.toString(),"标题",title);
		                        
				//helper.setSubmitTaskCache(member.member_id,task_id);
				//重新刷新提交页面
				var parent = plus.webview.currentWebview().opener();
				mui.fire(parent, "changeTaskState");
				
				//刷新列表任务状态
				mui.each(["home.html", "task/tasklist.html", "my_tasklist.html"], function(index, item) {
					var page = plus.webview.getWebviewById(item);
					if(page != null) {
						page.evalJS('updateTaskState(' + task_id + ')');
					}
				});	
				mui.back();				
			}
		},function(err){});
	});
});

//去除首位空格
function trimStr(str) {
	return str.replace(/(^\s*)|(\s*$)/g, "");
}
