mui.init();
var task_id = 0;
var member = null;
var taskItem = null;
mui.plusReady(function() {
	var param = plus.webview.currentWebview().param;
	task_id = param.task_id;
	loadData();
})

//激活初始数据
window.addEventListener('changeTaskState', function() {
	//判断该任务是否有提交了审核，有则把按钮设置不可用
	//if(helper.getSubmitTaskCache(member.member_id, task_id)) {
		document.querySelector('.task_per_inner').innerText = "审核中";
		setButtonState(0);	
	//}	
});

function loadData() {
	member = helper.getMemberCache();
	var param = {
		memberId: member == null ? 0 : member.member_id,
		task_id: task_id
	};

	helper.ajax("api/TaskAPI/GetRegisterTask", "GET", param, function(data) {
		console.log("GetRegisterTask:" + JSON.stringify(data));
		if(data.code == 0) { console.log("---taskItem"+JSON.stringify(data));
			taskItem = data.task; 
			helper.UmengTraPlus(2,"注册试用任务页","任务ID",task_id.toString(),"标题",taskItem.title);
			bindElement();
		}
	});
}

//绑定界面元素
function bindElement() {
	if(taskItem != null) {
		setButtonState(1);
		//绑定数据
		document.querySelector(".task_name").innerHTML = taskItem.title;
		document.querySelector(".task_des").innerHTML = taskItem.jinbi + "个金币、" + taskItem.experience_value + "经验、" + (taskItem.is_jiacheng == 1 ? "、" + taskItem.jiacheng + "%" : "");
		document.getElementById("sProcess").innerHTML = taskItem.process;
		document.getElementById("sContent").innerHTML = taskItem.content;
		document.getElementById("imgTask").src = taskItem.thumb_pic;
		//console.log(taskItem.url);
		//var reg = /^([hH][tT]{2}[pP]:\/\/|[hH][tT]{2}[pP][sS]:\/\/)(([A-Za-z0-9-~]+)\.)+([A-Za-z0-9-~\/])+$/;
		 if(taskItem.url == null || taskItem.url.trim().length == 0){
		 	document.querySelector(".btn_sure2").style.width = "99%";
		 }else
		 {
		 	document.querySelector(".btn_sure").classList.remove("mui-hidden");
		 }
			
		document.querySelector(".btn_sure2").classList.remove("mui-hidden");	

		/*if(taskItem.complete_state == 0 && member!=null) {
			//已经有审核记录，则移除临时提交任务缓存
			helper.removeSubmitTaskCache(member.member_id, task_id);
		}*/

		var completeStr = "";
		switch(taskItem.complete_state) {
			case 0:
				completeStr = "进行中\n剩" + taskItem.remainder_count + "次";
				/*if(member!=null)
				{
					//判断该任务是否有提交了审核，有则把按钮设置不可用
					if(helper.getSubmitTaskCache(member.member_id, task_id)) {
						completeStr = "审核中";
						if(taskItem.limit_type == 1 && taskItem.limit_count < 2) {
							setButtonState(0);
						}
					}
				}*/
				document.querySelector(".task_persent").setAttribute("data-percent", taskItem.complete_percent);
				break;
			case 1:
				completeStr = "审核中";
				document.querySelector(".task_persent").setAttribute("data-percent", taskItem.complete_percent);
				setButtonState(0);				
				break;
			case 2:
				setButtonState(0);
				completeStr = "已完成";
				document.querySelector('.task_persent span').className = "task_per_inner finished";
				document.querySelector(".task_persent").setAttribute("data-fgcolor", "#6ee578");
				document.querySelector(".task_persent").setAttribute("data-percent", 100);
				break;
			case 3:
				setButtonState(0);
				completeStr = "已结束";
				document.querySelector('.task_persent span').className = "task_per_inner isend";
				document.querySelector(".task_persent").setAttribute("data-fgcolor", "#ddd");
				document.querySelector(".task_persent").setAttribute("data-percent", 100);
				break;
		}
		document.querySelector('.task_per_inner').innerText = completeStr;
		$(".task_persent").not($(".task_persent").has('canvas')).circliful();	
	}
}

/**
 * 设置是可用 1可用 0不可用 
 */
function setButtonState(isEnabled) {
	if(isEnabled == 0) {
		//设为不可编辑状态
		document.querySelector(".btn_sure2").classList.add("bgGray");
		document.querySelector(".btn_sure").classList.add("bgGray");
		document.querySelector(".btn_sure2").disabled = true;
		document.querySelector(".btn_sure").disabled = true;
	} else {
		//设为可编辑状态,恢复初始状态
		document.querySelector(".btn_sure2").disabled = false;
		document.querySelector(".btn_sure").disabled = false;
		document.querySelector(".btn_sure2").classList.remove("bgGray");
		document.querySelector(".btn_sure").classList.remove("bgGray");
	}
}

function download(url) {
	var btnsure= document.querySelector(".btn_sure");
	var dtask = plus.downloader.createDownload(url);
	dtask.addEventListener('statechanged', function(task, status) {
		if(task.state == 3) {
			var progress = parseInt(100 * task.downloadedSize / task.totalSize);
            if (progress < 100) {
                btnsure.innerHTML='正在下载'+progress+'%';
            } else {
            	btnsure.innerHTML='进行任务';
            }
		} else if(task.state == 4) {
			console.log(task.filename);
			// 下载完成 运行安装app
			var path = plus.io.convertLocalFileSystemURL(task.filename);
			plus.runtime.install(path, {
				force: true
			}, function(e) {

			}, function(e) {
				mui.toast('安装失败');
			});
		}
	});
	dtask.start();
}

//进行任务
document.querySelector(".btn_sure").addEventListener("tap", function() {
	member = helper.getMemberCache();
	if(member == null) {
		mui.toast('需要先进行登录！');
		helper.openWindow("login.html", "../member/login.html", false, true, null);
		return;
	}
	var webUrl = taskItem.url;
	if(plus.os.name == "Android"){
		//检测是否是安卓安装包下载地址，如果是进行下载并且安装
	 	var filename = webUrl.substring(webUrl.lastIndexOf("/") + 1, webUrl.length);
	 	if(filename.lastIndexOf(".apk")>-1){
	 		helper.isExistApk(webUrl,function(backurl){
	 			if(backurl){
	 				var path = plus.io.convertLocalFileSystemURL(backurl);
                    plus.runtime.install(path, { force: true }, function (ex) { }, function (error) { });
	 			}
	 			else{
	 				download(webUrl);
	 			}
	 		});
	 		return;
	 	}
	}
	
	helper.UmengTraPlus(2,"注册试用开始注册","任务ID",task_id.toString(),"标题",taskItem.title);
	//跳到url链接
	helper.openWindow('task_redirect.html', 'task_redirect.html', false, true, {
		param: {
			path: taskItem.url
		}
	});
});

//提交任务
document.querySelector(".btn_sure2").addEventListener("tap", function() {
	member = helper.getMemberCache();
	if(member == null) {
		mui.toast('需要先进行登录！');
		helper.openWindow("login.html", "../member/login.html", false, true, null);
		return;
	} else {
		//判断该注册任务是否需要验证安装
		if(taskItem && taskItem.is_check_install == 1) {
			var packName = plus.os.name == "Android" ? taskItem.android_name : taskItem.ios_name;
			var isInstall = helper.isInstallApp(packName);

			if(!isInstall) {
				mui.alert("你没有安装任务应用，该任务要求安装应用后注册");
				return;
			}
		}
		helper.UmengTraPlus(2,"注册试用提交审核页 ","任务ID",task_id.toString(),"标题",taskItem.title);
		if(taskItem.upload_examine_content == 1) {
			helper.openWindow('submit_register.html', 'submit_register.html', false, true, {
				param: {
					task_id: task_id,
					examine: taskItem.examine,
					title:taskItem.title
				}
			});
		} else {
			helper.openWindow('submit_pic.html', 'submit_pic.html', false, true, {
				param: {
					task_id: task_id,
					task_type: "register",
					examine: taskItem.examine,
					title:taskItem.title
				}
			});
		}
	}
});