var index = 0;
var member = null;
var share_content = "";
var share_url = "";
var share_pic = "";
var day = 0;
mui.init();
mui.plusReady(function() {
	var param = plus.webview.currentWebview().param;
	day = param.selectDay;
	document.getElementById('bDate').innerHTML = param.selectDaystr;
	document.querySelector(".mon_icon").innerHTML = param.jinbi;

	if(!helper.checkIsLogin()) return;
	member = helper.getMemberCache();

	helper.wrapperScroll();
	pullToRefresh();
});

//邀请更多好友按钮
document.querySelector(".half_btn").addEventListener("tap", function() {
	if(share_pic) {
		mui('.share_box').popover('toggle');
	} else {
		mui.toast("下载邀请海报失败，请刷新重新下载");
	}
});

var btnShare = document.querySelector(".half_btn");

//微信分享
document.querySelector(".sharebtn_wx").addEventListener("tap", function() {
	mui('.share_box').popover('toggle');
	helper.wechatShareAPI("SystemShare", share_content, share_url, share_pic);
});

//设置按钮是否可点击
function setButtonState(canClick) {
	if(canClick == 1) {
		btnShare.setAttribute('disabled', false)
		btnShare.innerHTML = "邀请更多好友";
		btnShare.classList.remove("gradColor");
	} else {
		btnShare.setAttribute('disabled', true)
		btnShare.innerHTML = "下载邀请海报中..";
		btnShare.classList.add("gradColor");
	}
}

function pullToRefresh() {
	mui('.mui-scroll').pullToRefresh({
		down: {
			callback: function() {
				//var self = this;
				LoadDownData(this);
			}
		},
		up: {
			auto: true,
			callback: function() {
				//var self = this;
				LoadUpData(this);
			}
		}
	});
}

function LoadDownData(self) {
	index = 1;
	var param = {
		memberId: member.member_id,
		select_day: day,
		token: member.token,
		pageIndex: index,
		pageSize: helper.pageSize
	};

	helper.ajax("api/IncomeAPI/BangZhuanByDate", "GET", param, function(data) {
		console.log("BangZhuanByDate down:" + JSON.stringify(data));
		if(data.code == 0) {
			share_content = data.share_content || share_content;
			share_url = data.share_url || share_url;
			share_pic = data.share_pic || share_pic;
			console.log(share_pic);
			if(share_pic) {
				helper.checkLocalImg(share_pic, function(backImg) {
					console.log(backImg);
					share_pic = backImg;
					share_pic ? setButtonState(1) : setButtonState(0);
				});
			}

			var container = document.querySelector('.mes_dl');
			if(data.rows && data.rows.length > 0) {
				var html = template('template1', data);
				container.innerHTML = html;
			} else {
				container.innerHTML = "";
			}
			self.pullDownTips && self.endPullDownToRefresh();
			self.refresh(!(index >= data.total)); //重置上拉刷新
		} else if(data.code == -11) {
			self.endPullUpToRefresh();
			helper.gotoLogin();
		}
	}, function(err) {
		self && self.pullDownTips && self.endPullDownToRefresh();
	});
}

function LoadUpData(self) {
	index++;
	var param = {
		memberId: member.member_id,
		select_day: day,
		pageIndex: index,
		pageSize: helper.pageSize,
		token: member.token
	};

	helper.ajax("api/IncomeAPI/BangZhuanByDate", "GET", param, function(data) {
		console.log("BangZhuanByDate up:" + JSON.stringify(data));
		if(data.code == 0) {
			if(index == 1) {
				share_content = data.share_content || share_content;
				share_url = data.share_url || share_url;
				share_pic = data.share_pic || share_pic;

				console.log(share_pic);
				if(share_pic) {
					helper.checkLocalImg(share_pic, function(backImg) {
						console.log(backImg);
						share_pic = backImg;
						share_pic ? setButtonState(1) : setButtonState(0);
					});
				}
			}

			var container = document.querySelector('.mes_dl');
			if(data.rows && data.rows.length > 0) {
				var html = template('template1', data);
				container.innerHTML += html;
			}
			self.endPullUpToRefresh(index >= data.total); //判断是否没有新数据
		} else if(data.code == -11) {
			self.endPullUpToRefresh();
			helper.gotoLogin();
		}
	}, function(err) {
		index = 0;
		self && self.endPullUpToRefresh();
	});
}