mui.init();
var member = null;
mui.plusReady(function() {
	loadData();
});

function loadData() {
	member = helper.getMemberCache();
	if(member == null) return;
	var param = {
		memberId: member.member_id,
		token: member.token
	};

	helper.ajax("api/IncomeAPI/MyIncomePage", "GET", param, function(data) {
		console.log("MyIncomePage:" + JSON.stringify(data));
		if(data.code == 0) {
			document.getElementById("sTodayIncome").innerText = data.today_income;
			document.getElementById("sBalance").innerText = data.balance;
			document.getElementById("sBangZhuan").innerText = data.bangzhuan_income;
		}
	}, function(err) {});
}

//账户余额
document.querySelector(".btn_zhye").addEventListener("tap", function() {
	helper.openWindow("revenue_detail.html", "revenue_detail.html", false, true, null);
});

//好友帮赚
document.querySelector(".btn_hybz").addEventListener("tap", function() {
	helper.openWindow("invitation_list.html", "invitation_list.html", false, true, null);
});

mui(".tabs_items").on("tap", "a", function() {
	var className = this.getAttribute("class");
	switch(className) {
		case "phb_item":
			helper.openWindow("revenue_ranking.html", "revenue_ranking.html", false, true, null);
			break;
		case "yqhy_item":
			helper.openWindow("invitation.html", "invitation.html", false, true, null);
			break;
		case "spdh_item":
			helper.openWindow("mall.html", "/mall/mall.html", false, true, null);
			break;
		case "lldh_item":
			//流量兑换
			//微信登录用户需绑定了手机号码才能进入流量兑换
			if(!member.mobile) {
				mui.confirm("兑换流量需要绑定手机，你暂未绑定，是否前往绑定手机？", "提示", ['确定', '取消'], function(e) {
					if(e.index == 0) {
						helper.openWindow("account.html", "../person/account.html", false, true);
					}
				});
			}else
			{
				var launch = plus.webview.getLaunchWebview();
		        launch.show();
		        launch.evalJS('jump("mall/flow_exchange.html")');
			}
			break;
	}
});