/*$(".mui-slider-item").css("height",document.body.clientHeight-84);	 */

mui.init();

var pageIndex = [];
pageIndex[0] = 0;
pageIndex[1] = 0;
var member = null;
mui.plusReady(function() {
	helper.UmengTraPlus(2,"我的收益明细页");
	member = helper.getMemberCache();
	helper.wrapperScroll();
	
	//循环初始化所有下拉刷新，上拉加载。
	mui.each(document.querySelectorAll('.mui-slider-group .mui-scroll'), function(index, pullRefreshEl) {
		mui(pullRefreshEl).pullToRefresh({
			down: {
				callback: function() {
					var self = this;
					pageIndex[index] = 1;
					if(index == 0) {
						TaskDetailsDown(self);
					} else {
						OtherDetailsDown(self);
					}
				}
			},
			up: {
				auto: true,
				callback: function() {
					var self = this;
					pageIndex[index]++;
					if(index == 0) {
						TaskDetailsUp(self);
					} else {
						OtherDetailsUp(self);
					}
				}
			}
		});
	});	
});

function TaskDetailsDown(self)
{
 	var param = {
 		memberId: member.member_id,
 		token:member.token,
 		pageIndex: pageIndex[0],
 		pageSize: helper.pageSize
 	};

 	helper.ajax("api/IncomeAPI/TaskIncomeDetail", "POST", param, function(data) {
 		console.log("TaskIncomeDetail down:" + JSON.stringify(data));
 		if(data.code == 0) {
			var container = document.querySelector('.task_list');
			if(data.rows && data.rows.length > 0) {
				var html = template('template1', data);
				container.innerHTML = html;
			}else {
				container.innerHTML = "";
			}
			$("img.cel-media").lazyload({
				threshold : helper.lazyPx,
			});

			self.pullDownTips && self.endPullDownToRefresh();
			self.refresh(!(pageIndex[0] >= data.total)); //重置上拉刷新
			
 		} 
 	},function(err){
 		self && self.pullDownTips && self.endPullDownToRefresh();
 	});
}

function TaskDetailsUp(self)
{
	var param = {
 		memberId: member.member_id,
 		token:member.token,
 		pageIndex: pageIndex[0],
 		pageSize: helper.pageSize
 	};

 	helper.ajax("api/IncomeAPI/TaskIncomeDetail", "POST", param, function(data) {
 		console.log("TaskIncomeDetail up:" + JSON.stringify(data));
 		if(data.code == 0) {
			var container = document.querySelector('.task_list');
			if(data.rows && data.rows.length > 0) {
				var html = template('template1', data);
				container.innerHTML += html;		
			}
			$("img.cel-media").lazyload({
				threshold : helper.lazyPx,
			});
			
			self.endPullUpToRefresh(pageIndex[0] >= data.total); //判断是否没有新数据
			
 		} 
 	},function(err){
		self && self.endPullUpToRefresh(); 		
 	});
}

function OtherDetailsDown(self)
{
 	var param = {
 		memberId: member.member_id,
 		token:member.token,
 		pageIndex: pageIndex[1],
 		pageSize: helper.pageSize
 	};

	//console.log("param:"+JSON.stringify(param));
 	helper.ajax("api/IncomeAPI/GetSignHistory", "GET", param, function(data) {
 		//console.log("GetSignHistory down:" + JSON.stringify(data));
 		if(data.code == 0) {
			var container = document.querySelector('.revenue_other_list');
			if(data.rows && data.rows.length > 0) {
				var html = template('template2', data);
				container.innerHTML = html;
			}else {
				container.innerHTML = "";
			}

			self.pullDownTips && self.endPullDownToRefresh();
			self.refresh(!(pageIndex[1] >= data.total)); //重置上拉刷新
 		} 
 	},function(err){
 		self && self.pullDownTips && self.endPullDownToRefresh();
 	});
}

function OtherDetailsUp(self)
{
	var param = {
 		memberId: member.member_id,
 		token:member.token,
 		pageIndex: pageIndex[1],
 		pageSize: helper.pageSize
 	};

 	helper.ajax("api/IncomeAPI/GetSignHistory", "GET", param, function(data) {
 		console.log("GetSignHistory up:" + JSON.stringify(data));
 		if(data.code == 0) {
			var container = document.querySelector('.revenue_other_list');
			if(data.rows && data.rows.length > 0) {
				var html = template('template2', data);
				container.innerHTML += html;		
			}
			self.endPullUpToRefresh(pageIndex[1] >= data.total); //判断是否没有新数据			
 		} 
 	},function(err){
		self && self.endPullUpToRefresh(); 		
 	});
}

//点击任务跳转
mui(".task_list").on("tap", "li", function() {
	var task_id = this.getAttribute("data-id");
	var task_type = this.getAttribute("data-type");

	//1.分享任务 4：试用任务 5：线上活动任务
	switch(task_type) {
		// hbuilder 的一个bug 还没有修复 http://ask.dcloud.net.cn/article/103
		// 8. Android平台修复Webview窗口通过setStyle方法更新backgrund属性无法生效的问题
		// setStyle 不起效 只能放在参数这里
		case "1":
			mui.openWindow({
				url: '../task/task_share.html',
				id: 'task_share.html',
				styles: {
					scrollIndicator: 'none',
					scalable: false,
					popGesture: 'none',
					background: 'transparent',
				},
				extras: {
					task_id: task_id
				}
			});
			break;
		case "2": 
			helper.openWindow("task_picture.html","../task/task_picture.html",false,true,{
					param:{
						task_id:task_id
					}
				});
			break;	
		case "3":
			mui.openWindow({
				url: '/task/application_details.html',
				id: 'application_details.html',
				styles: {
					scrollIndicator: 'none',
					scalable: false,
					popGesture: 'none',
					background: 'transparent',
				},
				extras: {
					taskId: task_id
				}
			});			
			break;		
		case "4":
			helper.openWindow("task_register.html", "../task/task_register.html", false, true, {
				param: {
					task_id: task_id
				}
			});
			break;
		case "5":
			helper.openWindow("task_online.html", "../task/task_online.html", false, true, {
				param: {
					task_id: task_id
				}
			});
			break;
	}
});
