﻿mui.init();
var request = 0;
var ages=['未知','18岁以下','18-25岁','26-35岁','36-45岁','46-55岁','56岁以上'];
var professionlist=['未知','普通员工','白领','经理','高层管理','总裁'];

mui.plusReady(function () {
	//document.getElementById('txtMobile').value=helper.getCity().city_id;
    plus.navigator.closeSplashscreen();
    helper.UmengTraPlus(2,"登录页");
	if (plus.os.name == 'iOS') {
		 // 弹出软键盘时自动改变webview的高度
		plus.webview.currentWebview().setStyle({
			softinputMode: 'adjustResize'
		});
	}    
    addEvent();
});


//方便设置超级属性，获取更多信息
function getUserMoreInfo(memberdata){
	var member=memberdata.member;
	   
	var member_more = plus.storage.getItem('member_more');
    var more = JSON.parse(member_more);
	var age,profession;
    mui.each(more, function (name, val) {
    		var value = more[name];
    		if(name=='age'){
    			age=ages[parseInt(value)];
    		}
    		else if(name=='profession'){
    			profession=professionlist[parseInt(value)];
    		}
    });
	helper.UmengTraPlus(3,member.mobile,member.member_id,age, parseInt(member.sex)==1?"男":"女",profession);
	helper.UmengTraPlus(2,"登录完成");
}

//注册页面事件
function addEvent() {
    //用户登录
    document.querySelector('.lg_btn').addEventListener('tap', memberLogin);

    //微信用户登录
    document.querySelector('.wx_lg').addEventListener('tap', weixinLogin);

    //随便看看
    document.querySelector('.linksw a').addEventListener('tap', function () {
    		helper.UmengTraPlus(2,"随便逛逛");
    		helper.refreshPreload();
        var launch = plus.webview.getLaunchWebview();
        launch.show();
        launch.evalJS('jump("home.html")');
    });
}

//会员登录
function memberLogin() {
    //判断是否为空
    var mobile = document.getElementById('txtMobile').value;
    if (mobile == '') {
        mui.toast('请输入您的手机号码');
        return;
    } else {
        //验证是否符合手机号码规则
        if (verificationMobile(mobile) == false) {
            mui.toast('请输入正确的手机号码');
            return;
        }
    }

    var secret = document.getElementById('txtPwd').value;
    if (secret == '' || secret.length < 6 || secret.length > 16) {
        mui.toast('密码长度为6-16位英文或数字')
        return;
    }

    var device_token = plus.push.getClientInfo().token;
    var clientid = plus.push.getClientInfo().clientid;
    var os_name = plus.os.name;
    var uuid = plus.device.uuid;
    var umeng_channel = helper.getAppMeta("UMENG_CHANNEL");

    var param = {
        mobile: mobile,
        password: secret,
        device_token: device_token,
        clientid: clientid,
        os_name: os_name,
        uuid: uuid,
        umeng_channel: umeng_channel,
        city_id:0//helper.getCity().city_id
    };

//console.log(JSON.stringify(param));
    mui.ajax({
        type: 'POST',
        url: helper.serverUrl + 'api/MemberAPI/Login',
        data: JSON.stringify(param),
        dataType: 'json',
        contentType: 'application/json',
        timeout: helper.xhrTimeout,
        crossDomain: true,
        success: function (data) {
            //console.log('Login:' + JSON.stringify(data));
            mui.toast(data.message);
            if (data.code == 0) {
                plus.storage.setItem('member_cache', JSON.stringify(data.member));
            		//设置行为
		    		getUserMoreInfo(data);
		    		
                clearTextBox();
				helper.refreshPreload();
            }
        },
        error: function (data) {
        		console.log(data.responseText);
            mui.toast('请求失败！');
        },
        beforeSend: function () {
            window.plus && plus.nativeUI.showWaiting();
        },
        complete: function () {
            window.plus && plus.nativeUI.closeWaiting();
        }
    });
}

var isPassed = false; //记录是否已经登录成功
//微信登录
function weixinLogin() {
	helper.UmengTraPlus(2,"微信登录");
    var auths = null;
    window.plus && plus.nativeUI.showWaiting();

    // 扩展API加载完毕，现在可以正常调用扩展API
    plus.oauth.getServices(function (services) {
        auths = services;
        var s = null;
        for (var i = 0; i < auths.length; i++) {
            if (auths[i].id == "weixin") {
                s = auths[i];
            }
        }
		
		console.log(JSON.stringify(s.authResult));
        if (!s.authResult) {
        	console.log(110);
            //登录认证
            s.login(function (e) {
                isPassed = true;
                //mui.toast("登录认证成功！");
                s.getUserInfo(function (e) {
                    if (request > 0) {
                        mui.alert('提交中');
                        return false;
                    }
                    checkUnionID(s.userInfo);
                }, function (e) {
                    window.plus && plus.nativeUI.closeWaiting();
                    mui.alert("获取用户信息失败：" + e.message + " - " + e.code);
                });

            }, function (e) {
            	mui.alert(e.message + "-" + e.code);
                window.plus && plus.nativeUI.closeWaiting();
                isPassed = false;
                //mui.toast("登录认证失败！");
            });
        } else {
            window.plus && plus.nativeUI.closeWaiting();
            console.log(JSON.stringify(s.userInfo));
            //if (isPassed) {
                if (request > 0) {
                    mui.alert('提交中');
                    return false;
                }
                checkUnionID(s.userInfo);
                //mui.toast("已经登录认证！");
            //}
        }
    }, function (e) {
        window.plus && plus.nativeUI.closeWaiting();
        //mui.toast("获取分享服务列表失败：" + e.message + " - " + e.code);
    });
}

//检查UnionID
function checkUnionID(userinfo) {
    var device_token = plus.push.getClientInfo().token;
    var clientid = plus.push.getClientInfo().clientid;
    var uuid = plus.device.uuid;
    var os_name = plus.os.name;
    var umeng_channel = helper.getAppMeta("UMENG_CHANNEL");

    var param = {
        union_id: userinfo.unionid,
        wechat_account: userinfo.openid, //这里是没有获取帐号的方法的只有openid
        nickname: userinfo.nickname,
        headimgurl: userinfo.headimgurl,
        device_token: device_token,
        uuid: uuid,
        clientid: clientid,
        os_name: os_name,
        city_id: helper.getCity().city_id,
        umeng_channel: umeng_channel
    };
	console.log("param:"+JSON.stringify(param));
    mui.ajax({
        type: 'POST',
        url: helper.serverUrl + 'api/MemberAPI/WeiXinLogin',
        data: JSON.stringify(param),
        dataType: 'json',
        contentType: 'application/json',
        timeout: helper.xhrTimeout,
        crossDomain: true,
        success: function (data) {
            console.log('WeiXinLogin:' + JSON.stringify(data));
            if (data.code == 0) {
                plus.storage.setItem('member_cache', JSON.stringify(data.member));
                getUserMoreInfo(data);
                
                clearTextBox();
                helper.refreshPreload();
            } else {
            	mui.alert(data.message);
                //找不到UnionID则跳到注册步骤里去
                //helper.openWindow('register.html', 'register.html', false, true);
            }
        },
        error: function (data) {
            isPassed = false;
            //mui.toast('请求失败！');
            console.log(data.responseText);
        },
        beforeSend: function () {
            request++;
            window.plus && plus.nativeUI.showWaiting();
        },
        complete: function () {
            request--;
            window.plus && plus.nativeUI.closeWaiting();
        }
    });
}

//清除文本框
function clearTextBox() {
	isPassed = false;
    document.getElementById('txtMobile').value = '';
    document.getElementById('txtPwd').value = '';
}
