﻿var mobile, verify_code, request = 0;

mui.init();

mui.plusReady(function () {
    var self = plus.webview.currentWebview();
    mobile = self.mobile;
    verify_code = self.verify_code;

    document.querySelector('.phone_ck_txt2').innerHTML = '您的帐号：' + mobile;

    document.getElementById('btnConfirm').addEventListener('tap', function () {
        var pwd = document.getElementById('pwd').value;
        var repwd = document.getElementById('repwd').value;

        if (request > 0) {
            mui.alert('提交中');
            return false;
        }
        if (pwd == '' || pwd.length < 6 || pwd.length > 16) {
            mui.toast('密码长度为6-16位数字或英文字符串');
            return;
        } else if (!verificationSerialNumber(pwd)) {
            mui.toast('密码必须是数字或英文');
            return;
        } else if (pwd != repwd) {
            mui.toast('新密码与重复密码不一致，请重新输入');
            return;
        }

        var param = {
            mobile: mobile,
            verify_code: verify_code,
            password: pwd
        };

        mui.ajax({
            type: 'POST',
            url: helper.serverUrl + 'api/MemberAPI/ForgotPassword',
            data: JSON.stringify(param),
            dataType: 'json',
            contentType: 'application/json',
            timeout: helper.xhrTimeout,
            crossDomain: true,
            success: function (data) {
                console.log(JSON.stringify(data));
                mui.toast(data.message);
                if (data.code == 0) {
                		helper.UmengTraPlus(2,"找回密码成功");
                    helper.openWindow('login.html', 'login.html', false, true);
                }
            },
            error: function (data) {
                console.log(data.responseText);
            },
            beforeSend: function () {
                request++;
                window.plus && plus.nativeUI.showWaiting();
            },
            complete: function () {
                request--;
                window.plus && plus.nativeUI.closeWaiting();
            }
        });
    });
});