var index = 0;
mui.init();
var member = null;
        
mui.plusReady(function(){
	helper.UmengTraPlus(2,"我的任务页");
	member = helper.getMemberCache();	

	if (member == null) {
		mui.toast('需要先进行登录！');
		helper.openWindow("login.html", "../member/login.html", false, true, null);
		return;
    }
	helper.wrapperScroll();	
	pullToRefresh();
});

function pullToRefresh() {
 	mui('.mui-scroll').pullToRefresh({
 		down: {
 			callback: function() {
 				//var self = this;
 				LoadDownData(this);
 			}
 		},
 		up: {
 			auto: true,
 			callback: function() {
 				//var self = this;
 				LoadUpData(this);
 			}
 		}
 	});
 }

//下拉刷新
 function LoadDownData(self) {
 	index = 1;
 	var param = {
 		memberId: member.member_id,
 		pageIndex: index,
 		pageSize: helper.pageSize,
 		token: member.token
 	};

 	helper.ajax("api/TaskAPI/GetMyTaskList", "POST", param, function(data) {
 		console.log("GetMyTaskList down:" + JSON.stringify(data));
 		if(data.code == 0) {
			var container = document.querySelector('.task_list');
			if(data.rows && data.rows.length > 0) {
				var html = template('template1', data);
				container.innerHTML = html;
			}else {
				container.innerHTML = "";
			}
			$(".task_persent").not($(".task_persent").has('canvas')).circliful(); 
			$("img.cel-media").lazyload({
				threshold : helper.lazyPx,
			});
			self.pullDownTips && self.endPullDownToRefresh();
			self.refresh(!(index >= data.total)); //重置上拉刷新
			
 		} 
 	},function(err){
 		self && self.pullDownTips && self.endPullDownToRefresh();
 	});
 }

//上拉刷新
 function LoadUpData(self) {
 	index++;
 	var param = {
 		memberId: member.member_id,
 		pageIndex: index,
 		pageSize: helper.pageSize,
 		token: member.token
 	};

 	helper.ajax("api/TaskAPI/GetMyTaskList", "POST", param, function(data) {
 		console.log("GetMyTaskList up:" + JSON.stringify(data));	
 		if(data.code == 0) {
			var container = document.querySelector('.task_list');
			if(data.rows && data.rows.length > 0) {
				var html = template('template1', data);
				//circliful插件，上拉刷新需要添加元素，再渲染效果
				$(container).append($(html));	
				$(".task_persent").not($(".task_persent").has('canvas')).circliful();  		
			}
			$("img.cel-media").lazyload({
				threshold : helper.lazyPx,
			});
			self.endPullUpToRefresh(index >= data.total); //判断是否没有新数据	
			
 		} 
 	},function(err){
 		self && self.endPullUpToRefresh();
 	});
 }
 
 //点击任务跳转
mui(".task_list").on("tap", "li", function() {
	var task_id = this.getAttribute("data-id");
	var task_type = this.getAttribute("data-type");

	//1.分享任务 4：试用任务 5：线上活动任务
	switch(task_type) {
		// hbuilder 的一个bug 还没有修复 http://ask.dcloud.net.cn/article/103
		// 8. Android平台修复Webview窗口通过setStyle方法更新backgrund属性无法生效的问题
		// setStyle 不起效 只能放在参数这里
		case "1":
			mui.openWindow({
				url: 'task_share.html',
				id: 'task_share.html',
				styles: {
					scrollIndicator: 'none',
					scalable: false,
					popGesture: 'none',
					background: 'transparent',
				},
				extras: {
					task_id: task_id
				}
			});
			break;
		case "2": 
			helper.openWindow("task_picture.html","task_picture.html",false,true,{
					param:{
						task_id:task_id
					}
				});
			break;
		case "3":
			mui.openWindow({
				url: 'application_details.html',
				id: 'application_details.html',
				styles: {
					scrollIndicator: 'none',
					scalable: false,
					popGesture: 'none',
					background: 'transparent',
				},
				extras: {
					taskId: task_id
				}
			});			
			break;
		case "4":
			helper.openWindow("task_register.html", "task_register.html", false, true, {
				param: {
					task_id: task_id
				}
			});
			break;
		case "5":
			helper.openWindow("task_online.html", "task_online.html", false, true, {
				param: {
					task_id: task_id
				}
			});
			break;
	}
});
 
//修改任务状态为审核中
function updateTaskState(taskid)
{
	mui.each(document.querySelectorAll(".task_list li[data-id='" + taskid +"']"), function () {
		var mySpan = this.querySelector('.task_per_inner');
		mySpan.innerHTML = "审核中"; 					        			       
	});				
}