var task_id = 0;
var title="";
mui.init();
mui.plusReady(function() {
	var param = plus.webview.currentWebview().param;
	task_id = param.task_id;
	title=param.title;
	document.querySelector(".upload_con").innerHTML = param.examine;
});

//提交任务
document.getElementById('btnConfirm').addEventListener('tap', function() {
	var member = helper.getMemberCache();
	if(member == null) {
		mui.toast('需要先进行登录！');
		helper.openWindow("login.html", "../member/login.html", false, true, null);
		return;
	}

	var account = document.getElementById('txtContent').value;
	if(account == null || trimStr(account).length < 3) {
		mui.toast("请输入正确的提交信息");
		return;
	}

	//去除首位空格
	function trimStr(str) {
		return str.replace(/(^\s*)|(\s*$)/g, "");
	}

	account = trimStr(account) + "*耒*" + plus.device.uuid;

	var param = {
		memberId: member.member_id,
		token: member.token,
		task_id: task_id,
		submit_content: account
	};

	//console.log("param:" + JSON.stringify(param));
	helper.ajax("api/TaskAPI/SubmitRegisterTask", "POST", param, function(data) {
		console.log("SubmitRegisterTask:" + JSON.stringify(data));
		mui.toast(data.message);
		if(data.code == 0) {		
			helper.UmengTraPlus(2,"注册试用提交审核完成 ","任务ID",task_id.toString(),"标题",title);
		                        
			//helper.setSubmitTaskCache(member.member_id,task_id);
			//重新刷新提交页面
			var parent = plus.webview.currentWebview().opener();
			mui.fire(parent, "changeTaskState");

			//刷新列表任务状态
			mui.each(["home.html", "task/tasklist.html", "my_tasklist.html"], function(index, item) {
				var page = plus.webview.getWebviewById(item);
				if(page != null) {
					page.evalJS('updateTaskState(' + task_id + ')');
				}
			});
			mui.back();
		}
	},function(err){});
});