mui.init();
var task_id = 0;
var member = null;
var taskItem = null;
mui.plusReady(function() {
	var param = plus.webview.currentWebview().param;
	task_id = param.task_id;
	loadData();
})

//激活初始数据
window.addEventListener('changeTaskState', function() {
	//判断该任务是否有提交了审核，有则把按钮设置不可用
	//if(helper.getSubmitTaskCache(member.member_id, task_id)) {
		document.querySelector('.task_per_inner').innerText = "审核中";
		setButtonState(0);	
	//}	
});

function loadData() {
	member = helper.getMemberCache();
	var param = {
		memberId: member == null ? 0 : member.member_id,
		task_id: task_id
	};

	helper.ajax("api/TaskAPI/GetPicTask", "GET", param, function(data) {
		console.log("GetPicTask:" + JSON.stringify(data));
		if(data.code == 0) {
			taskItem = data.task;
			helper.UmengTraPlus(2,"转发图片任务页","任务ID",task_id.toString(),"标题",taskItem.title);
			bindElement();
		}
	});
}

//绑定界面元素
function bindElement() {
	if(taskItem != null) {
		setButtonState(1);
		//绑定数据
		document.querySelector(".task_name").innerHTML = taskItem.title;
		document.querySelector(".task_des").innerHTML = taskItem.jinbi + "个金币、" + taskItem.experience_value + "经验" + (taskItem.is_jiacheng == 1 ? "、" + taskItem.jiacheng + "%" : "");
		document.getElementById("sProcess").innerHTML = taskItem.process;
		document.getElementById("sContent").innerHTML = taskItem.content;
		document.getElementById("imgTask").src = taskItem.thumb_pic;

		/*if(taskItem.complete_state == 0 && member!=null) {
			//已经有审核记录，则移除临时提交任务缓存
			helper.removeSubmitTaskCache(member.member_id, task_id);
		}*/

		var completeStr = "";
		switch(taskItem.complete_state) {
			case 0:
				completeStr = "进行中\n剩" + taskItem.remainder_count + "次";
				/*if(member!=null)
				{
					//判断该任务是否有提交了审核，有则把按钮设置不可用
					if(helper.getSubmitTaskCache(member.member_id, task_id)) {
						completeStr = "审核中";
						if(taskItem.limit_type == 1 && taskItem.limit_count < 2) {
							setButtonState(0);
						}
					}
				}*/
				document.querySelector(".task_persent").setAttribute("data-percent", taskItem.complete_percent);
				break;
			case 1:
				completeStr = "审核中";
				document.querySelector(".task_persent").setAttribute("data-percent", taskItem.complete_percent);
				setButtonState(0);				
				break;
			case 2:
				setButtonState(0);
				completeStr = "已完成";
				document.querySelector('.task_persent span').className = "task_per_inner finished";
				document.querySelector(".task_persent").setAttribute("data-fgcolor", "#6ee578");
				document.querySelector(".task_persent").setAttribute("data-percent", 100);
				break;
			case 3:
				setButtonState(0);
				completeStr = "已结束";
				document.querySelector('.task_persent span').className = "task_per_inner isend";
				document.querySelector(".task_persent").setAttribute("data-fgcolor", "#ddd");
				document.querySelector(".task_persent").setAttribute("data-percent", 100);
				break;
		}
		document.querySelector('.task_per_inner').innerText = completeStr;
		$(".task_persent").not($(".task_persent").has('canvas')).circliful();	
	}
}

/**
 * 设置是可用 1可用 0不可用 
 */
function setButtonState(isEnabled) {
	if(isEnabled == 0) {
		//设为不可编辑状态
		document.querySelector(".btn_sure2").classList.add("bgGray");
		document.querySelector(".btn_sure").classList.add("bgGray");
		document.querySelector(".btn_sure2").disabled = true;
		document.querySelector(".btn_sure").disabled = true;
	} else {
		//设为可编辑状态,恢复初始状态
		document.querySelector(".btn_sure2").disabled = false;
		document.querySelector(".btn_sure").disabled = false;
		document.querySelector(".btn_sure2").classList.remove("bgGray");
		document.querySelector(".btn_sure").classList.remove("bgGray");
	}
}

//进行任务
document.querySelector(".btn_sure").addEventListener("tap", function() {
	if(member == null) {
		mui.toast('需要先进行登录！');
		helper.openWindow("login.html", "../member/login.html", false, true, null);
		return;
	}
	//跳到url链接
	helper.openWindow('task_picture_down.html', 'task_picture_down.html', false, true, {
		param: {
			path: taskItem.path,
			shareTitle:taskItem.title,
			task_id:task_id
		}
	});
});

//提交任务
document.querySelector(".btn_sure2").addEventListener("tap", function() {
	member = helper.getMemberCache();
	if(member == null) {
		mui.toast('需要先进行登录！');
		helper.openWindow("login.html", "../member/login.html", false, true, null);
		return;
	} else {
		helper.UmengTraPlus(2,"转发图片提交审核","任务ID",task_id,"标题",taskItem.title);
		
		helper.openWindow('submit_pic.html', 'submit_pic.html', false, true, {
			param: {
				task_id: task_id,
				task_type: "pic",
				examine: taskItem.examine
			}
		});		
	}
});