mui.init();
            
$(".tab_txt").on("click", function(e) { // 显示 任务类型，排序 下拉
	if($(this).hasClass("active")) {
		$(this).removeClass("active");
		$(".marsk").trigger("tap");
	} else {
		$(".tab_txt").removeClass("active");
		$(this).addClass("active");
		$(".marsk").show();
		$(this).parent(".tabitem").siblings().find(".all_tasks_list").slideUp(0);
		$(this).next(".all_tasks_list").slideDown(150);
	}
});

$(".marsk").on("tap", function() {
	$(".all_tasks_list").slideUp(100);
	$(".tab_txt").removeClass("active");
	$(".marsk").hide();
});

//左边任务选择
$(".tabitem_l").on("tap", "li", function() {
	task_type = this.getAttribute("data-type");
	
	switch (parseInt(task_type)){
		case 0:
			helper.UmengTraPlus(2, "任务列表分类选择_全部任务");
			break;
		case 1:
			helper.UmengTraPlus(2, "任务列表分类选择_分享文章");
			break;
		case 2:
			helper.UmengTraPlus(2, "任务列表分类选择_图片");
			break;
		case 3:
			helper.UmengTraPlus(2, "任务列表分类选择_试用任务");
			break;
		case 4:
			helper.UmengTraPlus(2, "任务列表分类选择_活动");
			break;
		default:
			break;
		}
	
	$(this).addClass("active").siblings().removeClass("active");
	var sel_val = $(this).text();
	$(this).parents(".tabitem").find(".tab_txt").text(sel_val);
	$(".marsk").trigger("tap");
	mui('.mui-scroll').pullToRefresh().pullDownLoading();
});

//右边排序选择
$(".tabitem_r").on("tap", "li", function() { // 点击下拉选项
	sort = this.getAttribute("data-type");
	switch (parseInt(sort)){
		case 0:
			helper.UmengTraPlus(2, "任务列表分类选择_默认");
			break;
		case 1:
			helper.UmengTraPlus(2, "任务列表排序选择_最新");
			break;
		case 2:
			helper.UmengTraPlus(2, "任务列表排序选择_奖励");
			break;
		default:
			break;
	}
	$(this).addClass("active").siblings().removeClass("active");
	var sel_val = $(this).text();
	$(this).parents(".tabitem").find(".tab_txt").text(sel_val);
	$(".marsk").trigger("tap");
	mui('.mui-scroll').pullToRefresh().pullDownLoading();
});

var task_type = 0;
var index = 0;
var sort = 0;
var member = null;
mui.plusReady(function() {
	helper.UmengTraPlus(2,"任务列表");
	
	helper.wrapperScroll();
	loadData();
});

document.querySelector(".fun_icon").addEventListener("tap", function() {
	if(helper.checkIsLogin()) {
		helper.openWindow("my_tasklist.html", "my_tasklist.html", false, true);
	}
});

function loadData() {
	member = helper.getMemberCache();
	index = 0;
	pullToRefresh();
	mui('.mui-scroll-wrapper').scroll().scrollTo(0, 0, 0);
}

function pullToRefresh() {
	mui('.mui-scroll').pullToRefresh({
		down: {
			callback: function() {
				//var self = this;
				LoadDownData(this);
			}
		},
		up: {
			auto: true,
			callback: function() {
				//var self = this;
				LoadUpData(this);
			}
		}
	});
}

//下拉刷新
function LoadDownData(self) {
	index = 1;
	var param = {
		memberId: member == null ? 0 : member.member_id,
		task_type: task_type,
		sortby: sort,
		pageIndex: index,
		pageSize: helper.pageSize,
		os_name: plus.os.name
	};

	helper.ajax("api/TaskAPI/CategoryTaskList", "POST", param, function(data) {
		console.log("CategoryTaskList down:" + JSON.stringify(data));
		if(data.code == 0) {
			var container = document.querySelector('.task_list');
			if(data.rows && data.rows.length > 0) {
				var html = template('template1', data);
				container.innerHTML = html;
			} else {
				container.innerHTML = "";
			}
			$("img.cel-media").lazyload({
				threshold : helper.lazyPx,
			});
			$(".task_persent").not($(".task_persent").has('canvas')).circliful();
			//$('.task_persent').circliful();
			self.pullDownTips && self.endPullDownToRefresh();
			self.refresh(!(index >= data.total)); //重置上拉刷新
			
		}
	},function(err){
		mui.os.plus && plus.nativeUI.closeWaiting();
		self && self.pullDownTips && self.endPullDownToRefresh();
	});
}

//上拉刷新
function LoadUpData(self) {
	index++;
	var param = {
		memberId: member == null ? 0 : member.member_id,
		task_type: task_type,
		sortby: sort,
		pageIndex: index,
		pageSize: helper.pageSize,
		os_name: plus.os.name
	};

	helper.ajax("api/TaskAPI/CategoryTaskList", "POST", param, function(data) {
		console.log("CategoryTaskList up:" + JSON.stringify(data));
		if(data.code == 0) {
			var container = document.querySelector('.task_list');
			if(data.rows && data.rows.length > 0) {
				var html = template('template1', data);
				//circliful插件，上拉刷新需要添加元素，再渲染效果
				$(container).append($(html));
				$(".task_persent").not($(".task_persent").has('canvas')).circliful();
			}
			$("img.cel-media").lazyload({
				threshold : helper.lazyPx,
			});
			self.endPullUpToRefresh(index >= data.total); //判断是否没有新数据		
			
		}
	},function(err){
		mui.os.plus && plus.nativeUI.closeWaiting();
		self && self.endPullUpToRefresh();
	});
}

//点击任务跳转
mui(".task_list").on("tap", "li", function() {
	var task_id = this.getAttribute("data-id");
	var task_type = this.getAttribute("data-type");

	//1.分享任务 4：试用任务 5：线上活动任务
	switch(task_type) {
		// hbuilder 的一个bug 还没有修复 http://ask.dcloud.net.cn/article/103
		// 8. Android平台修复Webview窗口通过setStyle方法更新backgrund属性无法生效的问题
		// setStyle 不起效 只能放在参数这里
		case "1":
			mui.openWindow({
				url: 'task_share.html',
				id: 'task_share.html',
				styles: {
					scrollIndicator: 'none',
					scalable: false,
					popGesture: 'none',
					background: 'transparent',
				},
				extras: {
					task_id: task_id
				}
			});
			break;
		case "2": 
			helper.openWindow("task_picture.html","task_picture.html",false,true,{
					param:{
						task_id:task_id
					}
				});
				break;
		case "4":
			helper.openWindow("task_register.html", "task_register.html", false, true, {
				param: {
					task_id: task_id
				}
			});
			break;
		case "5":
			helper.openWindow("task_online.html", "task_online.html", false, true, {
				param: {
					task_id: task_id
				}
			});
			break;
	}
});

//修改任务状态为审核中
function updateTaskState(taskid) {
	mui.each(document.querySelectorAll(".task_list li[data-id='" + taskid + "']"), function() {
		var mySpan = this.querySelector('.task_per_inner');
		mySpan.innerHTML = "审核中";
	});
}